/*-----------------------------------*\
  @TRUMPS #HELPERS
\*-----------------------------------*/


//QUICK TEXT ALIGNING
// Example:
// left: (null, md) --> .text-left; .text-left-md
$text-alignments: (
  left: (null),
  right: (sm)
);

@include create-text-align;


// SPACING

// Define spacing types to be generated
// Example:
// p: (null: (2), sm: (4)) --> .p-2x; p-sm-4x
$spacing: (
  mb: (
    null: (2, 4),
    sm: (0, 4)
  )
  // p: (
  //   null: (),
  //   xs: (0, 1, 2, 3)
  // ),
  // pb: (
  //   sm: (1, 2)
  // ),
  // px: (
  //   null: (1, 160)
  // )
);

.mb-05x {
  margin-bottom: rem-calc(5);
}

// Padding
@include create-spacer(p);
// Padding bottom
@include create-spacer(pb);
// Padding top
@include create-spacer(pt);
// Padding vertical
@include create-spacer(py);
// Padding horizontal
@include create-spacer(px);
// Margin
@include create-spacer(m);
// Margin bottom
@include create-spacer(mb);
// Margin top
@include create-spacer(mt);
// Margin vertical
@include create-spacer(my);
// Margin horizontal
@include create-spacer(mx);

.visible-md {
  @media (max-width: $md - 1) {
    display: none;
  }
}

.hidden-md {
  @media (min-width: $md) {
    display: none;
  }
}
